package com.hzu.labbooking.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzu.labbooking.domain.Office;

/**
 * 教师信息Service接口
 *
 * @author yezihao
 * @date 2021-06-13
 */
public interface IOfficeService extends IService<Office> {

    /**
     * 查询教师信息
     *
     * @param id 教师信息ID
     * @return 教师信息
     */
    public Office selectOfficeById(Long id);

    /**
     * 新增教师信息
     *
     * @param office 教师信息
     * @return 结果
     */
    public int insertOffice(Office office);

    /**
     * 修改教师信息
     *
     * @param office 教师信息
     * @return 结果
     */
    public int updateOffice(Office office);

    /**
     * 批量删除教师信息
     *
     * @param ids 需要删除的教师信息ID
     * @return 结果
     */
    public int deleteOfficeByIds(Long[] ids);

}
